## org.codehaus.groovy.grails.web.servlet.mvc.exceptions
Class GrailsMVCException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.servlet.mvc.exceptions.GrailsMVCException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ControllerExecutionException, IncompatibleParameterCountException, InvalidUriException, NoClosurePropertyForURIException, NoViewNameDefinedException, UnknownControllerException, UnsupportedReturnValueException

    public abstract class GrailsMVCException

extends GrailsException

Thrown when an unrecoverable error occured in the Grails MVC framework.

Since:
  Jul 2, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`GrailsMVCException()`
`GrailsMVCException(String arg0)`
`GrailsMVCException(String arg0, Throwable arg1)`
`GrailsMVCException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsMVCException

    public GrailsMVCException()

### GrailsMVCException

    public GrailsMVCException(String arg0)

### GrailsMVCException

    public GrailsMVCException(String arg0,
                              Throwable arg1)

### GrailsMVCException

    public GrailsMVCException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project